FROM python:3.13-slim

# Installer requests une seule fois dans l'image
RUN python3 -m pip install --no-cache-dir requests

WORKDIR /app

# Copier le script Python
COPY metabase_init.py /app/

# Lancer le script par défaut
ENTRYPOINT ["python3", "metabase_init.py"]
